Skip to content
Developer

StudioTraining / StudioDeviceSetup

Studio training6 EndpointsCRM / StudioTraining / StudioDeviceSetup

Returns a list of StudioDeviceSetup objects

GET/api/crm/studio_training/device_setup

Query parameters

idstring
deletedbooleanThis property is used to mark an entity as deleted / archived | Default value: false
trainingPersonDatastring
devicestring
presetstring
namestring
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of StudioDeviceSetup objectsarray<StudioDeviceSetup>

Show fields (9)
  • idinteger

    Primary key of the device setup. Internal ID.

  • training_person_dataStudioTrainingPersonData2

    Training data of the person the setup belongs to.

    Show fields (7)
    • idinteger

      Primary key of the training person data. Internal ID.

    • personCRMPerson10

      Person the training data belongs to.

    • personal_trainerCRMPerson10

      Personal trainer of the person.

    • weightnumber (float)

      Body weight of the person.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • deviceStudioDevice

    Studio device that is set up.

    Show fields (10)
    • idinteger

      Primary key of the studio device. Internal ID.

    • namestring

      Name of the device.

    • descriptionstring

      Description of the device.

    • manufacturerstring

      Manufacturer of the device.

    • modelstring

      Model of the device.

    • device_typestring

      Type of the device, for example treadmill or bike.

    • identifierstring

      Identifier of the device at the manufacturer.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • presetStudioTrainingPreset

    Training preset used for the setup.

    Show fields (25)
    • idinteger

      Primary key of the training preset. Internal ID.

    • namestring

      Name of the exercise.

    • descriptionstring

      Description of the exercise.

    • imageAttachment10

      Image of the exercise.

    • videoAttachment10

      Video of the exercise.

    • durationinteger

      Typical duration of the exercise in seconds.

    • muscle_groupsarray<StudioTrainingMuscleGroup>

      Primarily trained muscle groups

    • secondary_muscle_groupsarray<StudioTrainingMuscleGroup>

      Secondarily trained muscle groups

    • exercise_typestring

      Category of the exercise, e.g. strength, cardio, mobility, rehab

    • equipmentstring

      Required equipment as free text, e.g. barbell, cable machine, bodyweight

    • execution_notesstring

      Execution cues and safety notes for the member

    • default_setsinteger

      Default prescription proposed when the preset is added to a plan

    • default_repetitionsinteger

      Default number of repetitions.

    • default_rest_secondsinteger

      Default rest time in seconds.

    • content_sourcestring

      One of the CONTENT_SOURCE_* constants

    • content_source_namestring

      Name of the catalogue the entry was seeded from, e.g. wger

    • licensestring

      Licence of the imported content, e.g. CC-BY-SA 4.0

    • license_authorstring

      Author that has to be named to fulfil the licence attribution

    • license_author_urlstring

      Link to the author of the image or video license.

    • review_statusstring

      One of the REVIEW_STATUS_* constants, used to keep generated or imported exercise instructions under human control before they are published

    • reviewed_atstring (date-time)

      Time the exercise was reviewed.

    • reviewed_bystring

      Name of the reviewer.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • namestring

    Name of the setup.

  • notesstring

    Notes on the setup.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/device_setup \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "name": "Beispiel",
    "training_person_data": {
      "id": 42,
      "weight": 1.5,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    },
    "device": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "manufacturer": "string",
      "model": "string",
      "device_type": "string",
      "identifier": "42",
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    },
    "preset": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "content_source_name": "Beispiel",
      "license_author_url": "https://vynst.de",
      "duration": 1,
      "exercise_type": "string",
      "equipment": "string",
      "execution_notes": "string",
      "default_sets": 1
    },
    "notes": "string",
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  }
]

Create a single StudioDeviceSetup

POST/api/crm/studio_training/device_setup

Request body application/json

  • dataStudioDeviceSetup
    Show fields (9)
    • idinteger

      Primary key of the device setup. Internal ID.

    • training_person_dataStudioTrainingPersonData2

      Training data of the person the setup belongs to.

    • deviceStudioDevice

      Studio device that is set up.

    • presetStudioTrainingPreset

      Training preset used for the setup.

    • namestring

      Name of the setup.

    • notesstring

      Notes on the setup.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Create a single StudioDeviceSetupStudioDeviceSetup

Show fields (9)
  • idinteger

    Primary key of the device setup. Internal ID.

  • training_person_dataStudioTrainingPersonData2

    Training data of the person the setup belongs to.

    Show fields (7)
    • idinteger

      Primary key of the training person data. Internal ID.

    • personCRMPerson10

      Person the training data belongs to.

    • personal_trainerCRMPerson10

      Personal trainer of the person.

    • weightnumber (float)

      Body weight of the person.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • deviceStudioDevice

    Studio device that is set up.

    Show fields (10)
    • idinteger

      Primary key of the studio device. Internal ID.

    • namestring

      Name of the device.

    • descriptionstring

      Description of the device.

    • manufacturerstring

      Manufacturer of the device.

    • modelstring

      Model of the device.

    • device_typestring

      Type of the device, for example treadmill or bike.

    • identifierstring

      Identifier of the device at the manufacturer.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • presetStudioTrainingPreset

    Training preset used for the setup.

    Show fields (25)
    • idinteger

      Primary key of the training preset. Internal ID.

    • namestring

      Name of the exercise.

    • descriptionstring

      Description of the exercise.

    • imageAttachment10

      Image of the exercise.

    • videoAttachment10

      Video of the exercise.

    • durationinteger

      Typical duration of the exercise in seconds.

    • muscle_groupsarray<StudioTrainingMuscleGroup>

      Primarily trained muscle groups

    • secondary_muscle_groupsarray<StudioTrainingMuscleGroup>

      Secondarily trained muscle groups

    • exercise_typestring

      Category of the exercise, e.g. strength, cardio, mobility, rehab

    • equipmentstring

      Required equipment as free text, e.g. barbell, cable machine, bodyweight

    • execution_notesstring

      Execution cues and safety notes for the member

    • default_setsinteger

      Default prescription proposed when the preset is added to a plan

    • default_repetitionsinteger

      Default number of repetitions.

    • default_rest_secondsinteger

      Default rest time in seconds.

    • content_sourcestring

      One of the CONTENT_SOURCE_* constants

    • content_source_namestring

      Name of the catalogue the entry was seeded from, e.g. wger

    • licensestring

      Licence of the imported content, e.g. CC-BY-SA 4.0

    • license_authorstring

      Author that has to be named to fulfil the licence attribution

    • license_author_urlstring

      Link to the author of the image or video license.

    • review_statusstring

      One of the REVIEW_STATUS_* constants, used to keep generated or imported exercise instructions under human control before they are published

    • reviewed_atstring (date-time)

      Time the exercise was reviewed.

    • reviewed_bystring

      Name of the reviewer.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • namestring

    Name of the setup.

  • notesstring

    Notes on the setup.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/device_setup \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "name": "Beispiel",
    "training_person_data": {
      "id": 42,
      "weight": 1.5,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    },
    "device": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "manufacturer": "string",
      "model": "string",
      "device_type": "string"
    },
    "preset": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "content_source_name": "Beispiel",
      "license_author_url": "https://vynst.de",
      "duration": 1
    },
    "notes": "string"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "training_person_data": {
    "id": 42,
    "person": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "language": "de",
      "support_description": "Text",
      "profile_picture_url": "https://vynst.de",
      "address_street": "Jakobistr. 39",
      "address_city": "Hannover",
      "address_zip": "30163"
    },
    "personal_trainer": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "language": "de",
      "support_description": "Text",
      "profile_picture_url": "https://vynst.de",
      "address_street": "Jakobistr. 39",
      "address_city": "Hannover",
      "address_zip": "30163"
    },
    "weight": 1.5,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "device": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "manufacturer": "string",
    "model": "string",
    "device_type": "string",
    "identifier": "42",
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "preset": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "content_source_name": "Beispiel",
    "license_author_url": "https://vynst.de",
    "image": {
      "id": 42,
      "ocr_from_name": "Beispiel",
      "ocr_from_email": "lena.hartmann@example.org",
      "ocr_from_phone": "+49 511 123456",
      "ocr_to_name": "Beispiel",
      "ocr_to_email": "lena.hartmann@example.org",
      "ocr_to_phone": "+49 511 123456",
      "filename": "string",
      "filesize": "string",
      "mimetype": "string"
    },
    "video": {
      "id": 42,
      "ocr_from_name": "Beispiel",
      "ocr_from_email": "lena.hartmann@example.org",
      "ocr_from_phone": "+49 511 123456",
      "ocr_to_name": "Beispiel",
      "ocr_to_email": "lena.hartmann@example.org",
      "ocr_to_phone": "+49 511 123456",
      "filename": "string",
      "filesize": "string",
      "mimetype": "string"
    },
    "duration": 1,
    "exercise_type": "string",
    "equipment": "string"
  },
  "notes": "string",
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "deleted": true
}

Returns a single StudioDeviceSetup

GET/api/crm/studio_training/device_setup/{identifier}

Path parameters

identifierrequiredstring

Responses

200Returns a single StudioDeviceSetupStudioDeviceSetup

Show fields (9)
  • idinteger

    Primary key of the device setup. Internal ID.

  • training_person_dataStudioTrainingPersonData2

    Training data of the person the setup belongs to.

    Show fields (7)
    • idinteger

      Primary key of the training person data. Internal ID.

    • personCRMPerson10

      Person the training data belongs to.

    • personal_trainerCRMPerson10

      Personal trainer of the person.

    • weightnumber (float)

      Body weight of the person.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • deviceStudioDevice

    Studio device that is set up.

    Show fields (10)
    • idinteger

      Primary key of the studio device. Internal ID.

    • namestring

      Name of the device.

    • descriptionstring

      Description of the device.

    • manufacturerstring

      Manufacturer of the device.

    • modelstring

      Model of the device.

    • device_typestring

      Type of the device, for example treadmill or bike.

    • identifierstring

      Identifier of the device at the manufacturer.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • presetStudioTrainingPreset

    Training preset used for the setup.

    Show fields (25)
    • idinteger

      Primary key of the training preset. Internal ID.

    • namestring

      Name of the exercise.

    • descriptionstring

      Description of the exercise.

    • imageAttachment10

      Image of the exercise.

    • videoAttachment10

      Video of the exercise.

    • durationinteger

      Typical duration of the exercise in seconds.

    • muscle_groupsarray<StudioTrainingMuscleGroup>

      Primarily trained muscle groups

    • secondary_muscle_groupsarray<StudioTrainingMuscleGroup>

      Secondarily trained muscle groups

    • exercise_typestring

      Category of the exercise, e.g. strength, cardio, mobility, rehab

    • equipmentstring

      Required equipment as free text, e.g. barbell, cable machine, bodyweight

    • execution_notesstring

      Execution cues and safety notes for the member

    • default_setsinteger

      Default prescription proposed when the preset is added to a plan

    • default_repetitionsinteger

      Default number of repetitions.

    • default_rest_secondsinteger

      Default rest time in seconds.

    • content_sourcestring

      One of the CONTENT_SOURCE_* constants

    • content_source_namestring

      Name of the catalogue the entry was seeded from, e.g. wger

    • licensestring

      Licence of the imported content, e.g. CC-BY-SA 4.0

    • license_authorstring

      Author that has to be named to fulfil the licence attribution

    • license_author_urlstring

      Link to the author of the image or video license.

    • review_statusstring

      One of the REVIEW_STATUS_* constants, used to keep generated or imported exercise instructions under human control before they are published

    • reviewed_atstring (date-time)

      Time the exercise was reviewed.

    • reviewed_bystring

      Name of the reviewer.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • namestring

    Name of the setup.

  • notesstring

    Notes on the setup.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/device_setup/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "training_person_data": {
    "id": 42,
    "person": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "language": "de",
      "support_description": "Text",
      "profile_picture_url": "https://vynst.de",
      "address_street": "Jakobistr. 39",
      "address_city": "Hannover",
      "address_zip": "30163"
    },
    "personal_trainer": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "language": "de",
      "support_description": "Text",
      "profile_picture_url": "https://vynst.de",
      "address_street": "Jakobistr. 39",
      "address_city": "Hannover",
      "address_zip": "30163"
    },
    "weight": 1.5,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "device": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "manufacturer": "string",
    "model": "string",
    "device_type": "string",
    "identifier": "42",
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "preset": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "content_source_name": "Beispiel",
    "license_author_url": "https://vynst.de",
    "image": {
      "id": 42,
      "ocr_from_name": "Beispiel",
      "ocr_from_email": "lena.hartmann@example.org",
      "ocr_from_phone": "+49 511 123456",
      "ocr_to_name": "Beispiel",
      "ocr_to_email": "lena.hartmann@example.org",
      "ocr_to_phone": "+49 511 123456",
      "filename": "string",
      "filesize": "string",
      "mimetype": "string"
    },
    "video": {
      "id": 42,
      "ocr_from_name": "Beispiel",
      "ocr_from_email": "lena.hartmann@example.org",
      "ocr_from_phone": "+49 511 123456",
      "ocr_to_name": "Beispiel",
      "ocr_to_email": "lena.hartmann@example.org",
      "ocr_to_phone": "+49 511 123456",
      "filename": "string",
      "filesize": "string",
      "mimetype": "string"
    },
    "duration": 1,
    "exercise_type": "string",
    "equipment": "string"
  },
  "notes": "string",
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "deleted": true
}

Update a single StudioDeviceSetup

PUT/api/crm/studio_training/device_setup/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataStudioDeviceSetup
    Show fields (9)
    • idinteger

      Primary key of the device setup. Internal ID.

    • training_person_dataStudioTrainingPersonData2

      Training data of the person the setup belongs to.

    • deviceStudioDevice

      Studio device that is set up.

    • presetStudioTrainingPreset

      Training preset used for the setup.

    • namestring

      Name of the setup.

    • notesstring

      Notes on the setup.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update a single StudioDeviceSetupStudioDeviceSetup

Show fields (9)
  • idinteger

    Primary key of the device setup. Internal ID.

  • training_person_dataStudioTrainingPersonData2

    Training data of the person the setup belongs to.

    Show fields (7)
    • idinteger

      Primary key of the training person data. Internal ID.

    • personCRMPerson10

      Person the training data belongs to.

    • personal_trainerCRMPerson10

      Personal trainer of the person.

    • weightnumber (float)

      Body weight of the person.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • deviceStudioDevice

    Studio device that is set up.

    Show fields (10)
    • idinteger

      Primary key of the studio device. Internal ID.

    • namestring

      Name of the device.

    • descriptionstring

      Description of the device.

    • manufacturerstring

      Manufacturer of the device.

    • modelstring

      Model of the device.

    • device_typestring

      Type of the device, for example treadmill or bike.

    • identifierstring

      Identifier of the device at the manufacturer.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • presetStudioTrainingPreset

    Training preset used for the setup.

    Show fields (25)
    • idinteger

      Primary key of the training preset. Internal ID.

    • namestring

      Name of the exercise.

    • descriptionstring

      Description of the exercise.

    • imageAttachment10

      Image of the exercise.

    • videoAttachment10

      Video of the exercise.

    • durationinteger

      Typical duration of the exercise in seconds.

    • muscle_groupsarray<StudioTrainingMuscleGroup>

      Primarily trained muscle groups

    • secondary_muscle_groupsarray<StudioTrainingMuscleGroup>

      Secondarily trained muscle groups

    • exercise_typestring

      Category of the exercise, e.g. strength, cardio, mobility, rehab

    • equipmentstring

      Required equipment as free text, e.g. barbell, cable machine, bodyweight

    • execution_notesstring

      Execution cues and safety notes for the member

    • default_setsinteger

      Default prescription proposed when the preset is added to a plan

    • default_repetitionsinteger

      Default number of repetitions.

    • default_rest_secondsinteger

      Default rest time in seconds.

    • content_sourcestring

      One of the CONTENT_SOURCE_* constants

    • content_source_namestring

      Name of the catalogue the entry was seeded from, e.g. wger

    • licensestring

      Licence of the imported content, e.g. CC-BY-SA 4.0

    • license_authorstring

      Author that has to be named to fulfil the licence attribution

    • license_author_urlstring

      Link to the author of the image or video license.

    • review_statusstring

      One of the REVIEW_STATUS_* constants, used to keep generated or imported exercise instructions under human control before they are published

    • reviewed_atstring (date-time)

      Time the exercise was reviewed.

    • reviewed_bystring

      Name of the reviewer.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • namestring

    Name of the setup.

  • notesstring

    Notes on the setup.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/device_setup/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "name": "Beispiel",
    "training_person_data": {
      "id": 42,
      "weight": 1.5,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    },
    "device": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "manufacturer": "string",
      "model": "string",
      "device_type": "string"
    },
    "preset": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "content_source_name": "Beispiel",
      "license_author_url": "https://vynst.de",
      "duration": 1
    },
    "notes": "string"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "training_person_data": {
    "id": 42,
    "person": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "language": "de",
      "support_description": "Text",
      "profile_picture_url": "https://vynst.de",
      "address_street": "Jakobistr. 39",
      "address_city": "Hannover",
      "address_zip": "30163"
    },
    "personal_trainer": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "language": "de",
      "support_description": "Text",
      "profile_picture_url": "https://vynst.de",
      "address_street": "Jakobistr. 39",
      "address_city": "Hannover",
      "address_zip": "30163"
    },
    "weight": 1.5,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "device": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "manufacturer": "string",
    "model": "string",
    "device_type": "string",
    "identifier": "42",
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "preset": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "content_source_name": "Beispiel",
    "license_author_url": "https://vynst.de",
    "image": {
      "id": 42,
      "ocr_from_name": "Beispiel",
      "ocr_from_email": "lena.hartmann@example.org",
      "ocr_from_phone": "+49 511 123456",
      "ocr_to_name": "Beispiel",
      "ocr_to_email": "lena.hartmann@example.org",
      "ocr_to_phone": "+49 511 123456",
      "filename": "string",
      "filesize": "string",
      "mimetype": "string"
    },
    "video": {
      "id": 42,
      "ocr_from_name": "Beispiel",
      "ocr_from_email": "lena.hartmann@example.org",
      "ocr_from_phone": "+49 511 123456",
      "ocr_to_name": "Beispiel",
      "ocr_to_email": "lena.hartmann@example.org",
      "ocr_to_phone": "+49 511 123456",
      "filename": "string",
      "filesize": "string",
      "mimetype": "string"
    },
    "duration": 1,
    "exercise_type": "string",
    "equipment": "string"
  },
  "notes": "string",
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "deleted": true
}

Update a single StudioDeviceSetup

PATCH/api/crm/studio_training/device_setup/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataStudioDeviceSetup
    Show fields (9)
    • idinteger

      Primary key of the device setup. Internal ID.

    • training_person_dataStudioTrainingPersonData2

      Training data of the person the setup belongs to.

    • deviceStudioDevice

      Studio device that is set up.

    • presetStudioTrainingPreset

      Training preset used for the setup.

    • namestring

      Name of the setup.

    • notesstring

      Notes on the setup.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update a single StudioDeviceSetupStudioDeviceSetup

Show fields (9)
  • idinteger

    Primary key of the device setup. Internal ID.

  • training_person_dataStudioTrainingPersonData2

    Training data of the person the setup belongs to.

    Show fields (7)
    • idinteger

      Primary key of the training person data. Internal ID.

    • personCRMPerson10

      Person the training data belongs to.

    • personal_trainerCRMPerson10

      Personal trainer of the person.

    • weightnumber (float)

      Body weight of the person.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • deviceStudioDevice

    Studio device that is set up.

    Show fields (10)
    • idinteger

      Primary key of the studio device. Internal ID.

    • namestring

      Name of the device.

    • descriptionstring

      Description of the device.

    • manufacturerstring

      Manufacturer of the device.

    • modelstring

      Model of the device.

    • device_typestring

      Type of the device, for example treadmill or bike.

    • identifierstring

      Identifier of the device at the manufacturer.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • presetStudioTrainingPreset

    Training preset used for the setup.

    Show fields (25)
    • idinteger

      Primary key of the training preset. Internal ID.

    • namestring

      Name of the exercise.

    • descriptionstring

      Description of the exercise.

    • imageAttachment10

      Image of the exercise.

    • videoAttachment10

      Video of the exercise.

    • durationinteger

      Typical duration of the exercise in seconds.

    • muscle_groupsarray<StudioTrainingMuscleGroup>

      Primarily trained muscle groups

    • secondary_muscle_groupsarray<StudioTrainingMuscleGroup>

      Secondarily trained muscle groups

    • exercise_typestring

      Category of the exercise, e.g. strength, cardio, mobility, rehab

    • equipmentstring

      Required equipment as free text, e.g. barbell, cable machine, bodyweight

    • execution_notesstring

      Execution cues and safety notes for the member

    • default_setsinteger

      Default prescription proposed when the preset is added to a plan

    • default_repetitionsinteger

      Default number of repetitions.

    • default_rest_secondsinteger

      Default rest time in seconds.

    • content_sourcestring

      One of the CONTENT_SOURCE_* constants

    • content_source_namestring

      Name of the catalogue the entry was seeded from, e.g. wger

    • licensestring

      Licence of the imported content, e.g. CC-BY-SA 4.0

    • license_authorstring

      Author that has to be named to fulfil the licence attribution

    • license_author_urlstring

      Link to the author of the image or video license.

    • review_statusstring

      One of the REVIEW_STATUS_* constants, used to keep generated or imported exercise instructions under human control before they are published

    • reviewed_atstring (date-time)

      Time the exercise was reviewed.

    • reviewed_bystring

      Name of the reviewer.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • namestring

    Name of the setup.

  • notesstring

    Notes on the setup.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/device_setup/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "name": "Beispiel",
    "training_person_data": {
      "id": 42,
      "weight": 1.5,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    },
    "device": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "manufacturer": "string",
      "model": "string",
      "device_type": "string"
    },
    "preset": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "content_source_name": "Beispiel",
      "license_author_url": "https://vynst.de",
      "duration": 1
    },
    "notes": "string"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "training_person_data": {
    "id": 42,
    "person": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "language": "de",
      "support_description": "Text",
      "profile_picture_url": "https://vynst.de",
      "address_street": "Jakobistr. 39",
      "address_city": "Hannover",
      "address_zip": "30163"
    },
    "personal_trainer": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "language": "de",
      "support_description": "Text",
      "profile_picture_url": "https://vynst.de",
      "address_street": "Jakobistr. 39",
      "address_city": "Hannover",
      "address_zip": "30163"
    },
    "weight": 1.5,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "device": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "manufacturer": "string",
    "model": "string",
    "device_type": "string",
    "identifier": "42",
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "preset": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "content_source_name": "Beispiel",
    "license_author_url": "https://vynst.de",
    "image": {
      "id": 42,
      "ocr_from_name": "Beispiel",
      "ocr_from_email": "lena.hartmann@example.org",
      "ocr_from_phone": "+49 511 123456",
      "ocr_to_name": "Beispiel",
      "ocr_to_email": "lena.hartmann@example.org",
      "ocr_to_phone": "+49 511 123456",
      "filename": "string",
      "filesize": "string",
      "mimetype": "string"
    },
    "video": {
      "id": 42,
      "ocr_from_name": "Beispiel",
      "ocr_from_email": "lena.hartmann@example.org",
      "ocr_from_phone": "+49 511 123456",
      "ocr_to_name": "Beispiel",
      "ocr_to_email": "lena.hartmann@example.org",
      "ocr_to_phone": "+49 511 123456",
      "filename": "string",
      "filesize": "string",
      "mimetype": "string"
    },
    "duration": 1,
    "exercise_type": "string",
    "equipment": "string"
  },
  "notes": "string",
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "deleted": true
}

Delete a single StudioDeviceSetup (soft delete)

DELETE/api/crm/studio_training/device_setup/{identifier}

Path parameters

identifierrequiredstring

Responses

200Delete a single StudioDeviceSetupStudioDeviceSetup

Show fields (9)
  • idinteger

    Primary key of the device setup. Internal ID.

  • training_person_dataStudioTrainingPersonData2

    Training data of the person the setup belongs to.

    Show fields (7)
    • idinteger

      Primary key of the training person data. Internal ID.

    • personCRMPerson10

      Person the training data belongs to.

    • personal_trainerCRMPerson10

      Personal trainer of the person.

    • weightnumber (float)

      Body weight of the person.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • deviceStudioDevice

    Studio device that is set up.

    Show fields (10)
    • idinteger

      Primary key of the studio device. Internal ID.

    • namestring

      Name of the device.

    • descriptionstring

      Description of the device.

    • manufacturerstring

      Manufacturer of the device.

    • modelstring

      Model of the device.

    • device_typestring

      Type of the device, for example treadmill or bike.

    • identifierstring

      Identifier of the device at the manufacturer.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • presetStudioTrainingPreset

    Training preset used for the setup.

    Show fields (25)
    • idinteger

      Primary key of the training preset. Internal ID.

    • namestring

      Name of the exercise.

    • descriptionstring

      Description of the exercise.

    • imageAttachment10

      Image of the exercise.

    • videoAttachment10

      Video of the exercise.

    • durationinteger

      Typical duration of the exercise in seconds.

    • muscle_groupsarray<StudioTrainingMuscleGroup>

      Primarily trained muscle groups

    • secondary_muscle_groupsarray<StudioTrainingMuscleGroup>

      Secondarily trained muscle groups

    • exercise_typestring

      Category of the exercise, e.g. strength, cardio, mobility, rehab

    • equipmentstring

      Required equipment as free text, e.g. barbell, cable machine, bodyweight

    • execution_notesstring

      Execution cues and safety notes for the member

    • default_setsinteger

      Default prescription proposed when the preset is added to a plan

    • default_repetitionsinteger

      Default number of repetitions.

    • default_rest_secondsinteger

      Default rest time in seconds.

    • content_sourcestring

      One of the CONTENT_SOURCE_* constants

    • content_source_namestring

      Name of the catalogue the entry was seeded from, e.g. wger

    • licensestring

      Licence of the imported content, e.g. CC-BY-SA 4.0

    • license_authorstring

      Author that has to be named to fulfil the licence attribution

    • license_author_urlstring

      Link to the author of the image or video license.

    • review_statusstring

      One of the REVIEW_STATUS_* constants, used to keep generated or imported exercise instructions under human control before they are published

    • reviewed_atstring (date-time)

      Time the exercise was reviewed.

    • reviewed_bystring

      Name of the reviewer.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • namestring

    Name of the setup.

  • notesstring

    Notes on the setup.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request DELETE \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/device_setup/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "training_person_data": {
    "id": 42,
    "person": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "language": "de",
      "support_description": "Text",
      "profile_picture_url": "https://vynst.de",
      "address_street": "Jakobistr. 39",
      "address_city": "Hannover",
      "address_zip": "30163"
    },
    "personal_trainer": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "language": "de",
      "support_description": "Text",
      "profile_picture_url": "https://vynst.de",
      "address_street": "Jakobistr. 39",
      "address_city": "Hannover",
      "address_zip": "30163"
    },
    "weight": 1.5,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "device": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "manufacturer": "string",
    "model": "string",
    "device_type": "string",
    "identifier": "42",
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "preset": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "content_source_name": "Beispiel",
    "license_author_url": "https://vynst.de",
    "image": {
      "id": 42,
      "ocr_from_name": "Beispiel",
      "ocr_from_email": "lena.hartmann@example.org",
      "ocr_from_phone": "+49 511 123456",
      "ocr_to_name": "Beispiel",
      "ocr_to_email": "lena.hartmann@example.org",
      "ocr_to_phone": "+49 511 123456",
      "filename": "string",
      "filesize": "string",
      "mimetype": "string"
    },
    "video": {
      "id": 42,
      "ocr_from_name": "Beispiel",
      "ocr_from_email": "lena.hartmann@example.org",
      "ocr_from_phone": "+49 511 123456",
      "ocr_to_name": "Beispiel",
      "ocr_to_email": "lena.hartmann@example.org",
      "ocr_to_phone": "+49 511 123456",
      "filename": "string",
      "filesize": "string",
      "mimetype": "string"
    },
    "duration": 1,
    "exercise_type": "string",
    "equipment": "string"
  },
  "notes": "string",
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "deleted": true
}